@echo off
rem ######################################################################
::
::	Putzi4win-Plugin - Opera Cache lschen
::
rem ----------------------------------------------------------------------
::	2006-11-19   support@putzi4win.de
::	2008-01-28   support@putzi4win.de   metaWarning, zu V 1.0 erklaert
::	2009-06-22   support@putzi4win.de   weitere Dateien (s. files2)
rem ######################################################################

rem ----------------------------------------------------------------------
::	CONFIG
rem ----------------------------------------------------------------------

	set commentLine=# -----------------------------------------------------------------------------
	set DataDir1=%APPDATA%\opera\opera\profile\cache4
	set DataDir2=%APPDATA%\opera\opera\profile\
	set files2=global.dat opera.dir download.dat vlink4.dat sessions\autosave.win


rem ----------------------------------------------------------------------
::	SHOW METADATA
rem ----------------------------------------------------------------------
	echo %commentLine%
	echo # METADATA
	echo %commentLine%
	echo metaNAME=Opera Cache lschen
	echo metaVERSION=1.1
	echo metaAUTHOR=Axel Hahn
	echo metaDESCRIPTION=lscht den Browser-Cache des Opera (%DataDir1%)
	echo metaCATEGORY=Browser
	echo metaURLDOWNLOAD=
	echo metaEMAIL=support@putzi4win.de
	echo metaWARNING=
	if "%1"=="/meta" goto end
	echo.



rem ----------------------------------------------------------------------
::
::	SHOW DATA
::
rem ----------------------------------------------------------------------


	if NOT exist "%DataDir1%" echo ERROR:Das Cache-Verzeichnis von Opera wurde nicht gefunden. Wahrscheinlich ist Opera nicht installiert. Bearbeitung wird abgebrochen. && goto end
	
	echo %commentLine%
	echo # DATA
	echo %commentLine%
	for /F "tokens=*" /F %%a in ('dir /a:-D /s /b "%DataDir1%"') do echo FILE:%%a
	for %%a in (%files2%) do if exist "%DataDir2%\%%a" echo FILE:%DataDir2%\%%a
	echo.

	echo %commentLine%
	echo # END OF PLUGIN
	echo %commentLine%

	goto end


rem ----------------------------------------------------------------------
::	END
rem ----------------------------------------------------------------------

	:end
	rem pause && exit


rem ----------------------------------------------------------------------
::	EOF
rem ----------------------------------------------------------------------
