@echo off
rem ######################################################################
::
::	Putzi4win-Plugin - Firefox-History lschen
::
rem ----------------------------------------------------------------------
::	2006-11-19   support@putzi4win.de   
::	2007-01-21   support@putzi4win.de   Test der reg.exe
::	2007-09-28   support@putzi4win.de   reg.exe mit shregv ersetzt
::	2008-01-28   support@putzi4win.de   metaWarning, zu V 1.0 erklaert
::	2008-01-19   support@putzi4win.de   PATH um %~dp0\tools\ erweitert
::	2008-03-24   support@putzi4win.de   Aufruf des Gecko-Helper
::	2008-03-29   support@putzi4win.de   Korrektur fuer Installpfade mit Leerzeichen
rem ######################################################################

rem ----------------------------------------------------------------------
::	CONFIG
rem ----------------------------------------------------------------------

	set commentLine=# -----------------------------------------------------------------------------
	set geckoDir=Mozilla\Firefox
	set browser=Mozilla Firefox
	set geckotools=%~dp0\tools\gecko_tools.bat

rem ----------------------------------------------------------------------
::	SHOW METADATA
rem ----------------------------------------------------------------------
	echo %commentLine%
	echo # METADATA
	echo %commentLine%
	echo metaNAME=%browser% History lschen
	echo metaVERSION=1.3
	echo metaAUTHOR=Axel Hahn
	echo metaDESCRIPTION=lscht die Liste der zuletzt mit %browser% besuchten Webseiten
	echo metaCATEGORY=Browser
	echo metaURLDOWNLOAD=
	echo metaEMAIL=support@putzi4win.de
	echo metaWARNING=Bitte prfen Sie, ob Sie die History-Funktion wirklich nicht mehr bentigen.

rem ----------------------------------------------------------------------
::	CHECKS
rem ----------------------------------------------------------------------
	if EXIST "%geckotools%" goto testmeta
	echo ERROR: Das Hilfsskript %geckotools% wurde nicht gefunden.
	exit

	:testmeta
	if "%1"=="/meta" goto end
	echo.


rem ----------------------------------------------------------------------
::
::	SHOW DATA
::
rem ----------------------------------------------------------------------

	call "%geckotools%" %geckoDir% history
	echo %commentLine%
	echo # END OF PLUGIN
	echo %commentLine%

	goto end


rem ----------------------------------------------------------------------
::	END
rem ----------------------------------------------------------------------

	:end


rem ----------------------------------------------------------------------
::	EOF
rem ----------------------------------------------------------------------
