@echo off
rem ######################################################################
::
::	Putzi4win-Plugin - IE Cookies lschen
::
rem ----------------------------------------------------------------------
::	2006-11-19   support@putzi4win.de
::	2007-01-21   support@putzi4win.de   Beschreibung korrigiert
::	2008-01-28   support@putzi4win.de   metaWarning, zu V 1.0 erklaert
::	2008-10-28   support@putzi4win.de   V 1.1: Umstellung auf set_dirs.bat
rem ######################################################################

rem ----------------------------------------------------------------------
::	CONFIG
rem ----------------------------------------------------------------------

	set commentLine=# -----------------------------------------------------------------------------


rem ----------------------------------------------------------------------
::	SHOW METADATA
rem ----------------------------------------------------------------------
	echo %commentLine%
	echo # METADATA
	echo %commentLine%
	echo metaNAME=IE Cookies lschen
	echo metaVERSION=1.1
	echo metaAUTHOR=Axel Hahn
	echo metaDESCRIPTION=lscht die Cookies des Internet Explorer
	echo metaCATEGORY=Browser
	echo metaURLDOWNLOAD=
	echo metaEMAIL=support@putzi4win.de
	echo metaWARNING=Bitte vergewissern Sie sich, ob die Cookies wirklich gelscht werden sollen.
	if "%1"=="/meta" goto end
	echo.



rem ----------------------------------------------------------------------
::
::	SHOW DATA
::
rem ----------------------------------------------------------------------

	:: IE Cookie-Verzeichnis nach DIR_Cookies holen
	call "%~dp0\tools\set_dirs.bat" Cookies

	if NOT exist "%DIR_Cookies%" echo ERROR:Das Cookie-Verzeichnis des Internet Explorers wurde nicht gefunden. Die Bearbeitung wird abgebrochen. && goto end
	
	echo %commentLine%
	echo # DATA
	echo %commentLine%
	for /F "tokens=*" /F %%a in ('dir /a:-D /s /b "%DIR_Cookies%"') do echo FILE:%%a
	echo.

	echo %commentLine%
	echo # END OF PLUGIN
	echo %commentLine%

	goto end


rem ----------------------------------------------------------------------
::	END
rem ----------------------------------------------------------------------

	:end
	rem pause && exit


rem ----------------------------------------------------------------------
::	EOF
rem ----------------------------------------------------------------------
