@echo off
rem ######################################################################
::
::	Putzi4win-Plugin - TEMP-Verzeichnisse lschen
::
rem ----------------------------------------------------------------------
::	2006-09-18   support@putzi4win.de
::	2006-11-21   support@putzi4win.de   added c:\temp and %windir%\temp\
::	2007-01-21   support@putzi4win.de   Test der reg.exe
::	2008-01-28   support@putzi4win.de   metaWarning, zu V 1.0 erklaert
rem ######################################################################

rem ----------------------------------------------------------------------
::	CONFIG
rem ----------------------------------------------------------------------

	set commentLine=# -----------------------------------------------------------------------------


rem ----------------------------------------------------------------------
::	SHOW METADATA
rem ----------------------------------------------------------------------
	echo %commentLine%
	echo # METADATA
	echo %commentLine%
	echo metaNAME=Temp lschen
	echo metaVERSION=1.0
	echo metaAUTHOR=Axel Hahn
	echo metaDESCRIPTION=lscht Temp-Verzeichnisse
	echo metaCATEGORY=Windows
	echo metaURLINFO=
	echo metaURLDOWNLOAD=
	echo metaEMAIL=support@putzi4win.de
	echo metaWARNING=
	if "%1"=="/meta" goto end
	echo.



rem ----------------------------------------------------------------------
::
::	COLLECT
::
rem ----------------------------------------------------------------------

	set dirlist=

	:: TEMP und TMP
	if "%TEMP%"=="" echo # Hinweis: Die Variable TEMP ist nicht gesetzt.
	set dirlist=%dirlist% %TEMP%
	if "%TMP%"=="" echo # Hinweis: Variable TMP ist leer.
	if "%TMP%"=="%TEMP%" echo # Hinweis: TMP zeigt auf dasselbe Verzeichnis, wie TEMP.
	if NOT "%TMP%"=="%TEMP%" set dirlist=%dirlist% %TMP%

	:: weitere Verzeichnisse
	if exist "C:\TEMP\" set dirlist=%dirlist% C:\TEMP\
	if exist "%WINDIR%\TEMP\" set dirlist=%dirlist% %WINDIR%\TEMP\
	echo.

	
rem ----------------------------------------------------------------------
::
::	SHOW DATA
::
rem ----------------------------------------------------------------------
	
	echo %commentLine%
	echo # DATA
	echo %commentLine%
	for %%a in (%dirlist%) do (
		echo #
		echo # %%a
		echo #
		for /F "TOKENS=*" %%b in ('dir /a:-D /s /b %%a') do echo FILE:%%b
		for /F "TOKENS=*" %%b in ('dir /a:D /b %%a') do echo DIR:%%a\%%b
	)
	echo %commentLine%
	echo # END OF PLUGIN
	echo %commentLine%

	goto end


rem ----------------------------------------------------------------------
::	END
rem ----------------------------------------------------------------------

	:end
	rem pause && exit


rem ----------------------------------------------------------------------
::	EOF
rem ----------------------------------------------------------------------
